Bug 174771

Summary: [PATCH] devel/p5-Debug-Client: update to 0.20, take maintainership
Product: Ports & Packages Reporter: Po-Chien Lin <linpc>
Component: Individual Port(s)Assignee: freebsd-perl (Nobody) <perl>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
p5-Debug-Client-0.20.patch none

Description Po-Chien Lin 2012-12-28 15:30:00 UTC
- Update to 0.20
- Take maintainership
Comment 1 Edwin Groothuis freebsd_committer 2012-12-28 15:30:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2013-01-03 09:46:40 UTC
Author: jadawin
Date: Thu Jan  3 09:46:32 2013
New Revision: 309862
URL: http://svnweb.freebsd.org/changeset/ports/309862

Log:
  - Update to 0.20
  - Submitter take maintainership
  
  PR:		ports/174771
  Submitted by:	Po-Chien Lin <linpc@cs.nctu.edu.tw>

Modified:
  head/devel/p5-Debug-Client/Makefile
  head/devel/p5-Debug-Client/distinfo   (contents, props changed)

Modified: head/devel/p5-Debug-Client/Makefile
==============================================================================
--- head/devel/p5-Debug-Client/Makefile	Thu Jan  3 09:32:47 2013	(r309861)
+++ head/devel/p5-Debug-Client/Makefile	Thu Jan  3 09:46:32 2013	(r309862)
@@ -1,23 +1,24 @@
-# New ports collection makefile for:	p5-Debug-Client
-# Date created:		2010-03-17
-# Whom:			ports@c0decafe.net
-#
+# Created by: ports@c0decafe.net
 # $FreeBSD$
-#
 
 PORTNAME=	Debug-Client
-PORTVERSION=	0.12
+PORTVERSION=	0.20
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	linpc@cs.nctu.edu.tw
 COMMENT=	Client for the standard Perl debugger
 
-BUILD_DEPENDS=	p5-File-HomeDir>=0:${PORTSDIR}/devel/p5-File-HomeDir
-RUN_DEPENDS=	p5-File-HomeDir>=0:${PORTSDIR}/devel/p5-File-HomeDir
-
-TEST_DEPENDS=	p5-Test-Deep>=0:${PORTSDIR}/devel/p5-Test-Deep
+RUN_DEPENDS=	p5-File-HomeDir>=0.98:${PORTSDIR}/devel/p5-File-HomeDir \
+		p5-PadWalker>=1.92:${PORTSDIR}/devel/p5-PadWalker \
+		p5-ReadLine-Perl>=1.0303:${PORTSDIR}/devel/p5-ReadLine-Perl
+TEST_DEPENDS=	p5-File-HomeDir>=0.98:${PORTSDIR}/devel/p5-File-HomeDir \
+		p5-PadWalker>=1.92:${PORTSDIR}/devel/p5-PadWalker \
+		p5-ReadLine-Perl>=1.0303:${PORTSDIR}/devel/p5-ReadLine-Perl \
+		p5-Test-Class>=0.36:${PORTSDIR}/devel/p5-Test-Class \
+		p5-Test-Deep>=0.108:${PORTSDIR}/devel/p5-Test-Deep \
+		p5-Test-Script>=0:${PORTSDIR}/devel/p5-Test-Script
 
 PERL_CONFIGURE=	yes
 

Modified: head/devel/p5-Debug-Client/distinfo
==============================================================================
--- head/devel/p5-Debug-Client/distinfo	Thu Jan  3 09:32:47 2013	(r309861)
+++ head/devel/p5-Debug-Client/distinfo	Thu Jan  3 09:46:32 2013	(r309862)
@@ -1,2 +1,2 @@
-SHA256 (Debug-Client-0.12.tar.gz) = 70e0ce044c15d626fbafddee6b945d777aa2fb507fbd39ed0f22d35f58a1558e
-SIZE (Debug-Client-0.12.tar.gz) = 30339
+SHA256 (Debug-Client-0.20.tar.gz) = a1643b3c2e9fe0a39eae975c4ca81cb0cd44dde5dc0aec07600b727ebf190913
+SIZE (Debug-Client-0.20.tar.gz) = 38741
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Philippe Audeoud freebsd_committer 2013-01-03 09:48:08 UTC
State Changed
From-To: open->closed

Committed. Thanks!